Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QChildEvent Class Reference

The QChildEvent class contains event parameters for child object events. More...

`#include <qevent.h>`

Inherits QEvent.

List of all member functions.

## Public Members

- QChildEvent ( Type type, QObject * child )
- QObject * child () const
- bool inserted () const
- bool removed () const

## Detailed Description

The QChildEvent class contains event parameters for child object events.

Child events are sent to objects when children are inserted or removed.

A ChildRemoved event is sent immediately, but a ChildInserted event is posted (with QApplication::postEvent()).

Note that if a child is removed immediately after it is inserted, the ChildInserted event may be suppressed, but the ChildRemoved event will always be sent. In this case there will be a ChildRemoved event without a corresponding ChildInserted event.

The handler for these events is QObject::childEvent().

See also Event Classes.

## Member Function Documentation

### QChildEvent::QChildEvent ( Type type, QObject * child )

Constructs a child event object. The child is the object that is to be removed or inserted.

The type parameter must be either QEvent::ChildInserted or QEvent::ChildRemoved.

### QObject * QChildEvent::child () const

Returns the child widget that was inserted or removed.

### bool QChildEvent::inserted () const

Returns TRUE if the widget received a new child; otherwise returns FALSE.

### bool QChildEvent::removed () const

Returns TRUE if the object lost a child; otherwise returns FALSE.

This file is part of the Qt toolkit. Copyright © 1995-2003 Trolltech. All Rights Reserved.